Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iGlobals

    java.lang.Object
      |
      +--s2iGlobals

public class s2iGlobals
extends java.lang.Object

A class for keeping SpiTran global variables. All variables are static to the class. This class is never instantiated.

Author:
  Anish Malhotra, Cadence Design Systems

Field Summary
`static java.lang.String` | `baseNodeName` Prefix for SpiTran-generated Spice nodes
`static java.lang.String` | `baseRElemName` Prefix for SpiTran-generated Spice R elements
`static java.lang.String` | `baseVElemName` Prefix for SpiTran-generated Spice V elements
`static int` | `BICMOS` BICMOS technology
`static int` | `BJT` BJT technology
`static int` | `CMOS` CMOS technology
`static java.lang.String` | `confMaxFileNamePfx` SpiTran-generated maximum configuration file name prefix
`static java.lang.String` | `confMinFileNamePfx` SpiTran-generated minimum configuration file name prefix
`static java.lang.String` | `confTypFileNamePfx` SpiTran-generated typical configuration file name prefix
`static java.lang.String` | `DEF_HP_EDITOR` Text editor command for HP PA-RISC
`static java.lang.String` | `DEF_IBM_EDITOR` Text editor command for AIX
`static java.lang.String` | `DEF_SOLARIS_EDITOR` Text editor command for Solaris
`static java.lang.String` | `DEF_WIN_EDITOR` Text editor command for Windows
`static int` | `ECL` ECL technology
`static java.lang.String` | `EO_IDENT_REC` End of SpiTran identification record
`static char` | `FILE_EXTN_SEP` File extension separator character
`static java.lang.String` | `FILE_EXTN_SEP_STR` File extension separator string
`static java.util.Vector` | `gBestLibTreeList` The current tree list of best-case library files
`static java.util.Vector` | `gBestModelTreeList` The current tree list of best-case model files
`static java.lang.String` | `gBufTech` The current Spice buffer technology type
`static java.util.Vector` | `gConfigVector` The current list of top-level node configuration settings
`static java.util.Vector` | `gInstanceVector` The current list of instantiated Spice subckts
`static java.util.Vector` | `gTypLibTreeList` The current tree list of typical library files
`static java.util.Vector` | `gTypModelTreeList` The current tree list of typical model files
`static java.util.Vector` | `gWorstLibTreeList` The current tree list of worst-case library files
`static java.util.Vector` | `gWorstModelTreeList` The current tree list of worst-case model files
`static java.lang.String` | `IBIS_FILE_EXTN` ibis file extension
`static java.lang.String` | `KWS_GLOBAL` Spice .GLBAL keyword
`static java.lang.String` | `KWS_INCLUDE` Spice .INCLUDE keyword
`static java.lang.String` | `KWS_LIB` Spice .LIB keyword
`static java.lang.String` | `KWS_MODEL` Spice .MODEL keyword
`static java.lang.String` | `KWS_SUBCKT` Spice .SUBCKT keyword
`static java.lang.String` | `KWS_SUBCKT_END` Spice .ENDS keyword
`static java.lang.String` | `MaxModelFileName` SpiTran-generated maximum model file name
`static java.lang.String` | `MinModelFileName` SpiTran-generated minimum model file name
`static java.lang.String` | `PROJ_FILE_EXTN` SpiTran project file extension
`static java.io.File` | `ProjDirFile` The current SpiTran project file
`static java.lang.String` | `ProjName` The current project directory path
`static java.lang.String` | `propFileName` SpiTran properties file
`static java.lang.String` | `RUN_SAVE_FILE` s2ibis2 output save file
`static java.lang.String` | `S2I_CMD_FILE_EXTN` s2ibis input file extension
`static java.lang.String` | `s2ibisExe` s2ibis command string
`static java.lang.String` | `SPICE_LINE_CONT` Spice continuation line leader ???
`static java.lang.String` | `SPICE_LINE_CONT_PSERV` Spice continuation line leader ???
`static java.lang.String` | `SPICE_PREV_LINE_CONT` Spice continuation line leader
`static java.lang.String` | `spiceFileName` The current Spice file name
`static java.lang.String` | `SpiTranRoot` The root directory of the SpiTran installation
`static java.lang.String` | `ST_COMMENT` Spice comment leader
`static java.lang.String` | `ST_IDENT_REC` Beginning of SpiTran identification record
`static java.lang.String` | `ST_INLINE_COMMENT` Spice inline comment leader
`static java.lang.String` | `TMP_FILE_PREFIX` Prefix string for temporary file names
`static java.lang.String` | `TMP_FILE_SUFFIX` Temporary file extension
`static java.lang.String` | `TypModelFileName` SpiTran-generated typical model file name
`static double` | `VERSION` The current SpiTran version number
`static java.lang.String` | `XFileNamePrefix` SpiTran-generated file name prefix

Constructor Summary
`s2iGlobals()`

Method Summary
`static java.lang.String` | `getImageDir()`
`static java.lang.String` | `getRootDir()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### ST_IDENT_REC

    public static final java.lang.String ST_IDENT_REC

  Beginning of SpiTran identification record

### EO_IDENT_REC

    public static final java.lang.String EO_IDENT_REC

  End of SpiTran identification record

### ST_COMMENT

    public static final java.lang.String ST_COMMENT

  Spice comment leader

### ST_INLINE_COMMENT

    public static final java.lang.String ST_INLINE_COMMENT

  Spice inline comment leader

### SPICE_PREV_LINE_CONT

    public static final java.lang.String SPICE_PREV_LINE_CONT

  Spice continuation line leader

### SPICE_LINE_CONT

    public static final java.lang.String SPICE_LINE_CONT

  Spice continuation line leader ???

### SPICE_LINE_CONT_PSERV

    public static final java.lang.String SPICE_LINE_CONT_PSERV

  Spice continuation line leader ???

### FILE_EXTN_SEP

    public static final char FILE_EXTN_SEP

  File extension separator character

### FILE_EXTN_SEP_STR

    public static final java.lang.String FILE_EXTN_SEP_STR

  File extension separator string

### PROJ_FILE_EXTN

    public static final java.lang.String PROJ_FILE_EXTN

  SpiTran project file extension

### TMP_FILE_PREFIX

    public static final java.lang.String TMP_FILE_PREFIX

  Prefix string for temporary file names

### TMP_FILE_SUFFIX

    public static final java.lang.String TMP_FILE_SUFFIX

  Temporary file extension

### S2I_CMD_FILE_EXTN

    public static final java.lang.String S2I_CMD_FILE_EXTN

  s2ibis input file extension

### IBIS_FILE_EXTN

    public static final java.lang.String IBIS_FILE_EXTN

  ibis file extension

### RUN_SAVE_FILE

    public static final java.lang.String RUN_SAVE_FILE

  s2ibis2 output save file

### propFileName

    public static final java.lang.String propFileName

  SpiTran properties file

### DEF_SOLARIS_EDITOR

    public static final java.lang.String DEF_SOLARIS_EDITOR

  Text editor command for Solaris

### DEF_HP_EDITOR

    public static final java.lang.String DEF_HP_EDITOR

  Text editor command for HP PA-RISC

### DEF_IBM_EDITOR

    public static final java.lang.String DEF_IBM_EDITOR

  Text editor command for AIX

### DEF_WIN_EDITOR

    public static final java.lang.String DEF_WIN_EDITOR

  Text editor command for Windows

### CMOS

    public static final int CMOS

  CMOS technology

### BJT

    public static final int BJT

  BJT technology

### BICMOS

    public static final int BICMOS

  BICMOS technology

### ECL

    public static final int ECL

  ECL technology

### KWS_INCLUDE

    public static final java.lang.String KWS_INCLUDE

  Spice .INCLUDE keyword

### KWS_LIB

    public static final java.lang.String KWS_LIB

  Spice .LIB keyword

### KWS_MODEL

    public static final java.lang.String KWS_MODEL

  Spice .MODEL keyword

### KWS_SUBCKT

    public static final java.lang.String KWS_SUBCKT

  Spice .SUBCKT keyword

### KWS_SUBCKT_END

    public static final java.lang.String KWS_SUBCKT_END

  Spice .ENDS keyword

### KWS_GLOBAL

    public static final java.lang.String KWS_GLOBAL

  Spice .GLBAL keyword

### baseNodeName

    public static final java.lang.String baseNodeName

  Prefix for SpiTran-generated Spice nodes

### baseRElemName

    public static final java.lang.String baseRElemName

  Prefix for SpiTran-generated Spice R elements

### baseVElemName

    public static final java.lang.String baseVElemName

  Prefix for SpiTran-generated Spice V elements

### TypModelFileName

    public static final java.lang.String TypModelFileName

  SpiTran-generated typical model file name

### MinModelFileName

    public static final java.lang.String MinModelFileName

  SpiTran-generated minimum model file name

### MaxModelFileName

    public static final java.lang.String MaxModelFileName

  SpiTran-generated maximum model file name

### XFileNamePrefix

    public static final java.lang.String XFileNamePrefix

  SpiTran-generated file name prefix

### confTypFileNamePfx

    public static final java.lang.String confTypFileNamePfx

  SpiTran-generated typical configuration file name prefix

### confMinFileNamePfx

    public static final java.lang.String confMinFileNamePfx

  SpiTran-generated minimum configuration file name prefix

### confMaxFileNamePfx

    public static final java.lang.String confMaxFileNamePfx

  SpiTran-generated maximum configuration file name prefix

### s2ibisExe

    public static final java.lang.String s2ibisExe

  s2ibis command string

### SpiTranRoot

    public static java.lang.String SpiTranRoot

  The root directory of the SpiTran installation

### ProjDirFile

    public static java.io.File ProjDirFile

  The current SpiTran project file

### ProjName

    public static java.lang.String ProjName

  The current project directory path

### spiceFileName

    public static java.lang.String spiceFileName

  The current Spice file name

### gBufTech

    public static java.lang.String gBufTech

  The current Spice buffer technology type

### VERSION

    public static final double VERSION

  The current SpiTran version number

### gTypLibTreeList

    public static java.util.Vector gTypLibTreeList

  The current tree list of typical library files

### gBestLibTreeList

    public static java.util.Vector gBestLibTreeList

  The current tree list of best-case library files

### gWorstLibTreeList

    public static java.util.Vector gWorstLibTreeList

  The current tree list of worst-case library files

### gTypModelTreeList

    public static java.util.Vector gTypModelTreeList

  The current tree list of typical model files

### gBestModelTreeList

    public static java.util.Vector gBestModelTreeList

  The current tree list of best-case model files

### gWorstModelTreeList

    public static java.util.Vector gWorstModelTreeList

  The current tree list of worst-case model files

### gInstanceVector

    public static java.util.Vector gInstanceVector

  The current list of instantiated Spice subckts

### gConfigVector

    public static java.util.Vector gConfigVector

  The current list of top-level node configuration settings

Constructor Detail

### s2iGlobals

    public s2iGlobals()

Method Detail

### getRootDir

    public static java.lang.String getRootDir()

### getImageDir

    public static java.lang.String getImageDir()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD